Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5024 - Only a few keystrokes to bring Hedwig to its knees
Summary: Only a few keystrokes to bring Hedwig to its knees
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-09 15:51 UTC by EricsON
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-24 19:46:22 UTC


Attachments (Terms of Use)

Description EricsON 1999-09-09 15:51:43 UTC
Discovered per chance by merlyn@merlyn.za.net and verified
by me.

Problem:
  You can bring any linux box to its knees with limited
telnet access very easily using a few simple keystrokes.

Steps to reproduce:
  1. Login to your linux box
  2. Press ESC then any number (try 3)
  3. Hold down any number (try 3) until the arg stops at
some high number
  4. Press any letter (try d)
  5. The box be almost dead (if not repeat until it does)

Notes:
  1. This has been tested on both Hedwig i386 and Alpha
with similar results.
  2. Possible factor affecting it is the swap.

Comment 1 Bill Nottingham 1999-09-09 17:52:59 UTC
ulimit settings should curb this...


Note You need to log in before you can comment on or make changes to this bug.